CVE-2008-1721

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Integer signedness error in the zlib extension module in Python 2.5.2 and earlier allows remote attackers to execute arbitrary code via a negative signed integer, which triggers insufficient memory allocation and a buffer overflow.

References

http://bugs.python.org/issue2586

http://lists.apple.com/archives/security-announce/2009/Feb/msg00000.html

http://secunia.com/advisories/29889

http://secunia.com/advisories/29955

http://secunia.com/advisories/30872

http://secunia.com/advisories/31255

http://secunia.com/advisories/31358

http://secunia.com/advisories/31365

http://secunia.com/advisories/33937

http://secunia.com/advisories/37471

http://secunia.com/advisories/38675

http://security.gentoo.org/glsa/glsa-200807-01.xml

http://securityreason.com/securityalert/3802

http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.525289

http://support.apple.com/kb/HT3438

http://support.avaya.com/css/P8/documents/100074697

http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0149

http://www.debian.org/security/2008/dsa-1551

http://www.debian.org/security/2008/dsa-1620

http://www.mandriva.com/security/advisories?name=MDVSA-2008:085

http://www.securityfocus.com/archive/1/490690/100/0/threaded

http://www.securityfocus.com/archive/1/507985/100/0/threaded

http://www.securityfocus.com/bid/28715

http://www.securitytracker.com/id?1019823

http://www.ubuntu.com/usn/usn-632-1

http://www.vmware.com/security/advisories/VMSA-2009-0016.html

http://www.vupen.com/english/advisories/2008/1229/references

http://www.vupen.com/english/advisories/2009/3316

https://exchange.xforce.ibmcloud.com/vulnerabilities/41748

https://issues.rpath.com/browse/RPL-2444

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8249

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8494

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9407

Details

Source: MITRE

Published: 2008-04-10

Updated: 2018-10-11

Type: CWE-189

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:python_software_foundation:python:*:*:*:*:*:*:*:* versions up to 2.5.2 (inclusive)

Tenable Plugins

View all (18 total)

IDNameProductFamilySeverity
133259SUSE SLED15 / SLES15 Security Update : python (SUSE-SU-2020:0234-1) (BEAST) (httpoxy)NessusSuSE Local Security Checks
critical
89117VMware ESX / ESXi Multiple Vulnerabilities (VMSA-2009-0016) (remote check)NessusMisc.
critical
67897Oracle Linux 4 : python (ELSA-2009-1177)NessusOracle Linux Local Security Checks
critical
67896Oracle Linux 5 : python (ELSA-2009-1176)NessusOracle Linux Local Security Checks
critical
60625Scientific Linux Security Update : python for SL 4.x on i386/x86_64NessusScientific Linux Local Security Checks
critical
60622Scientific Linux Security Update : python for SL5.x i386/x86_64NessusScientific Linux Local Security Checks
critical
43771CentOS 5 : python (CESA-2009:1176)NessusCentOS Local Security Checks
critical
42870VMSA-2009-0016 : VMware vCenter and ESX update release and vMA patch release address multiple security issues in third party components.NessusVMware ESX Local Security Checks
medium
40401RHEL 4 : python (RHSA-2009:1177)NessusRed Hat Local Security Checks
critical
40400RHEL 5 : python (RHSA-2009:1176)NessusRed Hat Local Security Checks
critical
37899Mandriva Linux Security Advisory : python (MDVSA-2008:085)NessusMandriva Local Security Checks
high
35684Mac OS X Multiple Vulnerabilities (Security Update 2009-001)NessusMacOS X Local Security Checks
critical
33824Slackware 10.1 / 10.2 / 11.0 / 12.0 / 12.1 / current : python (SSA:2008-217-01)NessusSlackware Local Security Checks
high
33807Ubuntu 6.06 LTS / 7.04 / 7.10 / 8.04 LTS : python2.4, python2.5 vulnerabilities (USN-632-1)NessusUbuntu Local Security Checks
critical
33740Debian DSA-1620-1 : python2.5 - several vulnerabilitiesNessusDebian Local Security Checks
high
33421GLSA-200807-01 : Python: Multiple integer overflowsNessusGentoo Local Security Checks
high
32070FreeBSD : python -- Integer Signedness Error in zlib Module (ec41c3e2-129c-11dd-bab7-0016179b2dd5)NessusFreeBSD Local Security Checks
high
32006Debian DSA-1551-1 : python2.4 - several vulnerabilitiesNessusDebian Local Security Checks
high